package com.hzya.frame.seeyon.cbs8.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.seeyon.cbs8.entity.CbsLogEntity;
import com.hzya.frame.sysnew.application.entity.SysExtensionApiEntity;

import java.util.List;

/**
 * @Description cbs8支付日志
 * @Author xiangerlin
 * @Date 2024/6/14 17:22
 **/
public interface ICbsLogService extends IBaseService<CbsLogEntity,String> {
    /**
     * 查询支付中的数据
     * @param logEntity
     * @return
     */
    List<CbsLogEntity> queryInPayment(CbsLogEntity logEntity);
    /**
     * 保存日志，通过rest接口的形式
     * @param logEntity
     */
    void saveLog(CbsLogEntity logEntity);

    /**
     * 补推，从自己开发的页面或者APIpost
     * 需要传oa表单id和表单编号
     * @param entity
     */
    void retry(CbsLogEntity entity);
    /**
     * 补推，从OA页面
     * 只需要传日志表id就行
     * @param jsonObject
     */
    void resend(JSONObject jsonObject);

    /**
     * 获取token
     * @param entity
     * @return
     */
    SysExtensionApiEntity getTokenExt(SysExtensionApiEntity entity);

    /**
     * 更新日志
     * @param logEntity
     */
    void updateLog(CbsLogEntity logEntity);
}
